From bcb5ad1d4e4eb0b1397fe84986f899e3dc14bb81 Mon Sep 17 00:00:00 2001
From: Robert Russo <rrusso@lsu.edu>
Date: Mon, 19 Dec 2011 10:08:20 -0600
Subject: Added hiding of minimum grades feature.

---
 admin/settings/grades.php     |    2 ++
 grade/edit/tree/item_form.php |    9 ++++++---
 2 files changed, 8 insertions(+), 3 deletions(-)

diff --git a/admin/settings/grades.php b/admin/settings/grades.php
index 0d42537..75dcf01 100644
--- a/admin/settings/grades.php
+++ b/admin/settings/grades.php
@@ -153,6 +153,8 @@ if (has_capability('moodle/grade:manage', $systemcontext)
                                                              'locktime' => get_string('locktime', 'grades'),
                                                              'aggregationcoef' => get_string('aggregationcoef', 'grades'),
                                                              'parentcategory' => get_string('parentcategory', 'grades'))));
+
+        $temp->add(new admin_setting_configcheckbox('grade_min_hide', get_string('minimum_hide', 'grades'), get_string('minimum_hide_help', 'grades'), '1'));
     }
     $ADMIN->add('grades', $temp);
 
diff --git a/grade/edit/tree/item_form.php b/grade/edit/tree/item_form.php
index 642be6b..c6d3ad3 100644
--- a/grade/edit/tree/item_form.php
+++ b/grade/edit/tree/item_form.php
@@ -79,9 +79,12 @@ class edit_item_form extends moodleform {
         $mform->addHelpButton('grademax', 'grademax', 'grades');
         $mform->disabledIf('grademax', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
 
-        $mform->addElement('text', 'grademin', get_string('grademin', 'grades'));
-        $mform->addHelpButton('grademin', 'grademin', 'grades');
-        $mform->disabledIf('grademin', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
+        $grademin_hider = get_config('moodle', 'grade_min_hide');
+        if (empty($grademin_hider)) {
+            $mform->addElement('text', 'grademin', get_string('grademin', 'grades'));
+            $mform->addHelpButton('grademin', 'grademin', 'grades');
+            $mform->disabledIf('grademin', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
+        }
 
         $mform->addElement('text', 'gradepass', get_string('gradepass', 'grades'));
         $mform->addHelpButton('gradepass', 'gradepass', 'grades');
-- 
1.7.1


